Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.probsights.com/search/recent/markets \ --header 'X-API-Key: <api-key>'
import requestsurl = "https://api.probsights.com/search/recent/markets"headers = {"X-API-Key": "<api-key>"}response = requests.get(url, headers=headers)print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};fetch('https://api.probsights.com/search/recent/markets', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
Combined search, recent listings, and event markets.
GET /search
{ "series": [], "events": [], "markets": [] }
GET /search/recent/events
GET /search/recent/markets
GET /search/events/{event_id}/markets
https://api.probsights.com/search/recent/markets
curl -H "X-API-Key: YOUR_API_KEY" \ "https://api.probsights.com/search/recent/markets?limit=25"
import requests response = requests.get( "https://api.probsights.com/search/recent/markets", headers={"X-API-Key": "YOUR_API_KEY"}, params={"limit": 25}, ) markets = response.json()
curl -H "X-API-Key: YOUR_API_KEY" \ "https://api.probsights.com/search/events/KXBTC15M-26MAY040400/markets"
import requests response = requests.get( "https://api.probsights.com/search/events/KXBTC15M-26MAY040400/markets", headers={"X-API-Key": "YOUR_API_KEY"}, ) markets = response.json()